Description

I tried to get help on the forum (Rmagick 2.13.1 not being detected on Redmine 1.4.0 runnin...), but as I got no response, I assume

it's a bug.

I managed to install ImageMagick and rmagick 2.3.1 following the instructions from this link:

http://phosphor-escence.blogspot.com.br/2010/10/install-rmagick-on-mingw-and-msys.html

My gem list show rmagick 2.3.1, as below:

*** LOCAL GEMS ***

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

bundler (1.1.3)

cgi_multipart_eof_fix (2.5.0)

coderay (1.0.6)

fastercsv (1.5.4)

gem_plugin (0.2.3)

i18n (0.4.2)

json (1.6.6, 1.6.3)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.3.4 i386-mswin32)

mysql (2.8.1 x86-mingw32)

net-ldap (0.3.1)

pg (0.13.2 x86-mingw32)

rack (1.1.3, 1.1.1)

rails (2.3.14)

rake (0.9.2.2, 0.8.7)

rdoc (3.12)

rmagick (2.13.1)

ruby-openid (2.1.8)

sqlite3 (1.3.5 x86-mingw32)

tzinfo (0.3.33)

win32-service (0.5.2 mswin32)

 But still, Redmine says that RMagick is not available... What am I missing? Does it have anything to do with the gemfile file?
Thanks!

Related issues:

Related to Redmine - Defect #13185: Redmine claims RMagick is not available Closed

History

#1 - 2012-04-20 14:44 - Etienne Massip

- Status changed from New to Confirmed
https://www.redmine.org/boards/2/topics/30042
http://phosphor-escence.blogspot.com.br/2010/10/install-rmagick-on-mingw-and-msys.html


#2 - 2012-05-10 14:31 - Pavel Potcheptsov

same issue on RM 1.4.1

#3 - 2012-05-16 16:26 - Peter Schuler

I hab a Redmine 1.4.2 with bundle install --without development test rmagick (so no rmagick working).

Thanks to Cassiano for forum post!

Fixed this problem with this steps

1. Tried the forum post mentioned and finished installing rmagick gem 2.13.1

2. Redmine admin still shows RMagick unavailable

3. bundle show won't show rmagick either

4. run bundle install --without development test

5. bundle show does show rmagick now

6. restarting mongrel

7. Redmine admin shows RMagick is available!

So perhabs "bundle" just needs to be reinitialized, or this is fixed in 1.4.2.

pavel ochman, @Cassiano does this work for you?

#4 - 2012-05-22 21:45 - Cassiano Monteiro

Hey Peter!

Thanks for the hints! That procedure worked for me!

#5 - 2012-05-23 09:58 - Pavel Potcheptsov

I did upgrade from 141 to 142, did

-bundle install --without development test postgresql sqlite rmagick

-restart thit

-Redmine admin shows RMagick unavailable

-bundle install --without development test postgresql sqlite

-bundle show:

# bundle show

Gems included by the bundle:

  * actionmailer (2.3.14)

  * actionpack (2.3.14)

  * activerecord (2.3.14)

  * activeresource (2.3.14)

  * activesupport (2.3.14)

  * bundler (1.1.3)

  * coderay (1.0.6)

  * fastercsv (1.5.5)

  * i18n (0.4.2)

  * mysql (2.8.1)

  * net-ldap (0.3.1)

  * rack (1.1.3)

  * rails (2.3.14)

  * rake (0.9.2.2)

  * rmagick (2.13.1)

  * ruby-openid (2.1.8)

  * tzinfo (0.3.33)

-restart thin

-still no available

#6 - 2012-05-25 13:21 - Etienne Massip

- Category changed from Gems support to Documentation

- Status changed from Confirmed to New

Could someone please test the following procedure?

#7 - 2012-05-31 13:53 - Pavel Potcheptsov

I install last ImageMagick version from source on my BSD system and Redmine still not see it.

#8 - 2012-05-31 15:51 - Etienne Massip
https://www.redmine.org/users/11234
https://www.redmine.org/projects/redmine/wiki/HowTo_install_rmagick_gem_on_Windows


Pavel Potcheptsov wrote:

I install last ImageMagick version from source on my BSD system and Redmine still not see it.

 Not the topic of this issue, if you don't mind.

#9 - 2012-06-14 18:35 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Fixed

Please feel free to update the procedure at HowTo install rmagick gem on Windows if needed.

#10 - 2012-06-27 06:07 - Angelo Arboleda

Peter Schuler's suggestion worked for me! Thanks!

#11 - 2012-07-16 12:56 - marco deluca

I still see "not available" in redmine/admin/info. New installation of redmine 2.0.3, installed rmagick (2.13.1) successfully, ran bundle install --without

postgresql afterwards, and bundle show does have rmagick (2.13.1) in the list. I've restarted apache and still the app says rmagick is not available.

#12 - 2012-07-16 12:59 - Cassiano Monteiro

Are you running on Windows? You have to restart mongrel (or thin?).

#13 - 2012-07-16 14:20 - Etienne Massip

marco deluca wrote:

(...) bundle show does have rmagick (2.13.1) in the list (...)

 What about bundle config?

#14 - 2012-08-31 14:59 - marco deluca

@# bundle config

Settings are listed in order of priority. The top value will be used.

without

Set for your local app (/home/worklabs/tracker/redmine/.bundle/config): "postgresql"@

I'm searching around forums and whatnot to see if there have been any other solutions, but I still have a rmagick not available problem. bundle show

does have rmagick 2.13.1 in the list.

Environment:

Redmine version                          2.0.3.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.6

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

add_link                                 0.0.1

redmine_knowledgebase                    2.1.1

redmine_stealth                          0.5.1

redmine_wktime                           0.0.9

#15 - 2012-09-13 17:53 - marco deluca

Okay I finally figured this out. Basically the issue was Using CentOS with cPanel. From the beginning, cPanel doesn't support the ruby/rails

requirements of redmine 2.x. Now I was previously able to get the proper rails environment setup, HOWEVER...

rmagick took some issues to get installed. There are posts about how to get rmagick installed ( sorry I dont have links ). Once rmagick was installed,

HERE are the steps I took to get redmine to recognize rmagick:

1. Get the latest version of ImageMagick - assuming you have root access to your server:

cd /usr/local/src

wget http://imagemagick.mirrorcatalogs.com/ImageMagick-6.7.9-4.tar.gz

tar -xzvf ImageMagick-6.7.9-4.tar.gz

cd ImageMagick-6.7.9-4

./configure --prefix=/usr/local --libdir=/usr/lib64 --with-libdir=lib64
https://www.redmine.org/projects/redmine/wiki/HowTo_install_rmagick_gem_on_Windows


make

make install

Then navigate to your redmine installation and do this from BASH ( note this command only works from Bash. do echo $SHELL to figure out what

shell you're using and figure out how to use Bash if you're not already )

Now, gem uninstall rmagick

and then finally run this:

1. C_INCLUDE_PATH=/usr/local/src/ImageMagick-6.7.9-4 bundle install --without test development postgresql
